## ros-jazzy-rosbag2-py 0.26.3

=== debian/changelog ===
ros-jazzy-rosbag2-py (0.26.3-1bookworm) bookworm; urgency=high

  * Included to_rclcpp_qos_vector to Python wrappers (#1642 <https://github.com/ros2/rosbag2/issues/1642>) (#1650 <https://github.com/ros2/rosbag2/issues/1650>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 May 2024 16:00:00 -0000

ros-jazzy-rosbag2-py (0.26.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-py (0.26.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-py (0.26.0-1bookworm) bookworm; urgency=high

  * Add option to disable recorder keyboard controls (#1607 <https://github.com/ros2/rosbag2/issues/1607>)
  * Support service 2/2 --- rosbag2 service play (#1481 <https://github.com/ros2/rosbag2/issues/1481>)
  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Switch rclpy to be an exec_depend here. (#1606 <https://github.com/ros2/rosbag2/issues/1606>)
  * Gracefully handle SIGINT and SIGTERM signals for play and burst CLI (#1557 <https://github.com/ros2/rosbag2/issues/1557>)
  * Added exclude-topic-types to record (#1582 <https://github.com/ros2/rosbag2/issues/1582>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Bernd Pfrommer, Chris Lalancette, Michael Orlov, jmachowinski

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-py (0.25.0-1bookworm) bookworm; urgency=high

  * Fix for false negative tests in rosbag2_py (#1592 <https://github.com/ros2/rosbag2/issues/1592>)
  * Update rosbag2_py stubs (#1593 <https://github.com/ros2/rosbag2/issues/1593>)
  * Add Python stubs for rosbag2_py (#1459 <https://github.com/ros2/rosbag2/issues/1459>) (#1569 <https://github.com/ros2/rosbag2/issues/1569>)
  * Filter topic by type  (#1577 <https://github.com/ros2/rosbag2/issues/1577>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * Install signal handlers in recorder only inside record method (#1464 <https://github.com/ros2/rosbag2/issues/1464>)
  * add missing import otherwise it doesnt compile (#1524 <https://github.com/ros2/rosbag2/issues/1524>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Make rosbag2_transport::Player::play() run in a separate thread (#1503 <https://github.com/ros2/rosbag2/issues/1503>)
  * Switch to target_link_libraries everywhere. (#1504 <https://github.com/ros2/rosbag2/issues/1504>)
  * Use enum values for offered_qos_profiles in code and string names in serialized metadata (#1476 <https://github.com/ros2/rosbag2/issues/1476>)
  * ros2 bag convert now excludes messages not in [start_time;end_time] (#1455 <https://github.com/ros2/rosbag2/issues/1455>)
  * Add support for compression to python API (#1425 <https://github.com/ros2/rosbag2/issues/1425>)
  * Contributors: Alejandro Hernández Cordero, Andrew Symington, Barry Xu, Chris Lalancette, Michael Orlov, Mikael Arguedas, Patrick Roncagliolo, Peter Favrholdt, Roman Sokolkov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosbag2-py (0.24.0-1bookworm) bookworm; urgency=high

  * Gracefully handle SIGINT and SIGTERM in rosbag2 recorder (#1301 <https://github.com/ros2/rosbag2/issues/1301>)
  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Add binding to close the writer (#1339 <https://github.com/ros2/rosbag2/issues/1339>)
  * Contributors: Emerson Knapp, Michael Orlov, Yadu

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rosbag2-py (0.23.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-py (0.22.0-1bookworm) bookworm; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Store message definitions in SQLite3 storage plugin (#1293 <https://github.com/ros2/rosbag2/issues/1293>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Contributors: Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-py (0.21.0-1bookworm) bookworm; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-py (0.20.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rosbag2-py (0.19.0-1bookworm) bookworm; urgency=high

  * Expose more Writer methods in python interface (#1220 <https://github.com/ros2/rosbag2/issues/1220>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * rosbag2_py: parametrize tests across storage plugins (#1203 <https://github.com/ros2/rosbag2/issues/1203>)
  * Added option to change node name for the recorder from the Python API (#1180 <https://github.com/ros2/rosbag2/issues/1180>)

