## ros-jazzy-rosbag2-py 0.26.5

=== debian/changelog ===
ros-jazzy-rosbag2-py (0.26.5-1bookworm) bookworm; urgency=high

  * Added method to introspect QoS in Python (#1648 <https://github.com/ros2/rosbag2/issues/1648>) (#1790 <https://github.com/ros2/rosbag2/issues/1790>)
    (cherry picked from commit f0f3cc5f57ba9142b763247a68acc571d2500bb5)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Add cli option compression-threads-priority (#1768 <https://github.com/ros2/rosbag2/issues/1768>) (#1778 <https://github.com/ros2/rosbag2/issues/1778>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    (cherry picked from commit 25c3e1c2effdaea3b880c39ff7580b2f38a44b1c)
    Co-authored-by: Roman <mailto:rsokolkov@gmail.com>
  * [jazzy] Update CI scripts to use Ubuntu Noble distros and bump action scripts to latest versions (backport #1709 <https://github.com/ros2/rosbag2/issues/1709>) (#1779 <https://github.com/ros2/rosbag2/issues/1779>)
    Co-authored-by: Roman <mailto:rsokolkov@gmail.com>
    (cherry picked from commit 27a6b600c2a813ec1f2154145fe77392c88b314b)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Bugfix for wrong timestamps in ros2 bag info (#1745 <https://github.com/ros2/rosbag2/issues/1745>) (#1752 <https://github.com/ros2/rosbag2/issues/1752>)
    (cherry picked from commit da28c9da82824b8ce5f6fc18935d1a954e52b636)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rosbag2-py (0.26.4-1bookworm) bookworm; urgency=high

  * Add bindings for LocalMessageDefinitionSource (#1697 <https://github.com/ros2/rosbag2/issues/1697>) (#1701 <https://github.com/ros2/rosbag2/issues/1701>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: methylDragon <mailto:methylDragon@gmail.com>
  * Add --log-level to ros2 bag play and record (#1625 <https://github.com/ros2/rosbag2/issues/1625>) (#1674 <https://github.com/ros2/rosbag2/issues/1674>)
    Co-authored-by: Roman Sokolkov <mailto:rsokolkov@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 26 Jun 2024 16:00:00 -0000
