=== debian/control ===
Source: ros-jazzy-rosbag2-py
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-cmake-python, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-pybind11-vendor, ros-jazzy-python-cmake-module, ros-jazzy-rcl-interfaces <!nocheck>, ros-jazzy-rosbag2-compression, ros-jazzy-rosbag2-compression-zstd <!nocheck>, ros-jazzy-rosbag2-cpp, ros-jazzy-rosbag2-storage, ros-jazzy-rosbag2-storage-default-plugins <!nocheck>, ros-jazzy-rosbag2-test-common <!nocheck>, ros-jazzy-rosbag2-test-msgdefs <!nocheck>, ros-jazzy-rosbag2-transport, ros-jazzy-rosidl-runtime-py <!nocheck>, ros-jazzy-std-msgs <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rosbag2-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-pybind11-vendor, ros-jazzy-rclpy, ros-jazzy-rosbag2-compression, ros-jazzy-rosbag2-cpp, ros-jazzy-rosbag2-storage, ros-jazzy-rosbag2-transport, ros-jazzy-rpyutils, ros-jazzy-ros-workspace
Description: Python API for rosbag2
